Index: /trunk/source/Lib/TLibDecoder/TDecSlice.cpp
===================================================================
--- /trunk/source/Lib/TLibDecoder/TDecSlice.cpp	(revision 1132)
+++ /trunk/source/Lib/TLibDecoder/TDecSlice.cpp	(revision 1133)
@@ -280,36 +280,4 @@
       iNumSubstreamsPerTile = 1;
     }
-#if LGE_DEFAULT_DV_J0046 && !SEC_ARP_VIEW_REF_CHECK_J0037 && !SEC_DBBP_VIEW_REF_CHECK_J0037
-    pcSlice->setDefaultRefViewIdx( -1 );
-    pcSlice->setDefaultRefViewIdxAvailableFlag( false ); 
-
-    Int valid = 0;
-    Int viewIndex = 0;
-    for( UInt uiBId = 0; uiBId < pcSlice->getViewIndex() && valid==0; uiBId++ )
-    {
-        UInt        uiBaseId    = uiBId;
-        TComPic*    pcBasePic   = pcSlice->getIvPic( false, uiBaseId );
-        for( Int iRefListId = 0; ( iRefListId < (pcSlice->isInterB()? 2:1) ) && !pcSlice->isIntra() && valid==0; iRefListId++ )
-        {
-            RefPicList  eRefPicListTest = RefPicList( iRefListId );
-            Int         iNumRefPics = pcSlice->getNumRefIdx( eRefPicListTest ) ;
-            for( Int iRefIndex = 0; iRefIndex < iNumRefPics; iRefIndex++ )
-            { 
-                if(pcBasePic->getPOC() == pcSlice->getRefPic( eRefPicListTest, iRefIndex )->getPOC() 
-                    && pcBasePic->getViewIndex() == pcSlice->getRefPic( eRefPicListTest, iRefIndex )->getViewIndex())
-                {
-                    valid=1;
-                    viewIndex = uiBaseId;
-                    break;
-                }
-            }
-        }
-    }
-    if( valid )
-    {
-        pcSlice->setDefaultRefViewIdx( viewIndex );
-        pcSlice->setDefaultRefViewIdxAvailableFlag( true );   
-    }
-#endif
 
     if ( (iCUAddr == rpcPic->getPicSym()->getTComTile(rpcPic->getPicSym()->getTileIdxMap(iCUAddr))->getFirstCUAddr()) && // 1st in tile.
Index: /trunk/source/Lib/TLibDecoder/TDecTop.cpp
===================================================================
--- /trunk/source/Lib/TLibDecoder/TDecTop.cpp	(revision 1132)
+++ /trunk/source/Lib/TLibDecoder/TDecTop.cpp	(revision 1133)
@@ -726,8 +726,6 @@
 
 #endif
-#if HHI_TOOL_PARAMETERS_I2_J0107
 #if H_3D
   m_apcSlicePilot->init3dToolParameters();
-#endif
 #endif
   pps->setSPS(sps);
@@ -1087,9 +1085,7 @@
     pcSlice->getTempRefPicLists( m_cListPic, m_refPicSetInterLayer0, m_refPicSetInterLayer1, tempRefPicLists, usedAsLongTerm, numPocTotalCurr);
     pcSlice->setRefPicList     ( tempRefPicLists, usedAsLongTerm, numPocTotalCurr, true ); 
-
-#if SEC_ARP_VIEW_REF_CHECK_J0037 || SEC_DBBP_VIEW_REF_CHECK_J0037
+#if H_3D
     pcSlice->setDefaultRefView();
 #endif
-
 #if H_3D_ARP
     pcSlice->setARPStepNum(m_ivPicLists);
@@ -1244,9 +1240,5 @@
   TComVPS* vps = m_parameterSetManagerDecoder.getPrefetchedVPS( 0 ); 
   assert( vps != 0 );
-#if HHI_TOOL_PARAMETERS_I2_J0107
   m_cEntropyDecoder.decodeSPS( sps );
-#else
-  m_cEntropyDecoder.decodeSPS( sps, vps->getViewIndex( m_layerId ), ( vps->getDepthId( m_layerId ) == 1 ) );
-#endif
 #else
   m_cEntropyDecoder.decodeSPS( sps );
Index: /trunk/source/Lib/TLibDecoder/TDecTop.h
===================================================================
--- /trunk/source/Lib/TLibDecoder/TDecTop.h	(revision 1132)
+++ /trunk/source/Lib/TLibDecoder/TDecTop.h	(revision 1133)
@@ -83,11 +83,4 @@
 #endif
 
-#if !LGE_DDD_REMOVAL_J0042_J0030
-#if H_3D_DDD
-  Int getCodedScale( Int iBaseView, Int iCureView){ return m_aaiCodedScale[ iBaseView ][ iCureView ];}
-  Int getCodedOffset( Int iBaseView, Int iCureView){ return m_aaiCodedOffset[ iBaseView ][ iCureView ];}
-  UInt getCamParsCodedPrecision(){ return m_vps->getCamParPrecision(); }
-#endif
-#endif
 
 private:
Index: /trunk/source/Lib/TLibEncoder/TEncCavlc.cpp
===================================================================
--- /trunk/source/Lib/TLibEncoder/TEncCavlc.cpp	(revision 1132)
+++ /trunk/source/Lib/TLibEncoder/TEncCavlc.cpp	(revision 1133)
@@ -638,13 +638,5 @@
 }
 
-#if HHI_TOOL_PARAMETERS_I2_J0107
 Void TEncCavlc::codeSPS( TComSPS* pcSPS )
-#else
-#if H_3D
-Void TEncCavlc::codeSPS( TComSPS* pcSPS, Int viewIndex, Bool depthFlag )
-#else
-Void TEncCavlc::codeSPS( TComSPS* pcSPS )
-#endif
-#endif
 {
 #if ENC_DEC_TRACE  
@@ -846,9 +838,5 @@
   if ( pcSPS->getSps3dExtensionFlag() )
   {
-#if HHI_TOOL_PARAMETERS_I2_J0107
     codeSPS3dExtension( pcSPS ); 
-#else
-    codeSPSExtension2( pcSPS, viewIndex, depthFlag  ); 
-#endif
   }
 
@@ -871,7 +859,5 @@
   WRITE_CODE( pcPPS->getPpsScalingListRefLayerId( ), 6, "pps_scaling_list_ref_layer_id" );
   WRITE_UVLC( 0, "num_ref_loc_offsets" );
-#if H_MV_HLS_FIX
   WRITE_FLAG( 0 , "colour_mapping_enabled_flag" );
-#endif
 
 }
@@ -880,5 +866,4 @@
 
 #if H_3D
-#if HHI_TOOL_PARAMETERS_I2_J0107
 Void TEncCavlc::codeSPS3dExtension( TComSPS* pcSPS )
 {
@@ -908,10 +893,4 @@
   }
 }
-#else
-Void TEncCavlc::codeSPSExtension2( TComSPS* pcSPS, Int viewIndex, Bool depthFlag )
-{
-
-}
-#endif
 #endif
 
@@ -1012,12 +991,7 @@
 #if H_3D
   WRITE_FLAG( 1,                     "vps_extension2_flag" );  
-#if HHI_VPS_3D_EXTENSION_I3_J0107
   WRITE_FLAG( 1,                     "vps_3d_extension_flag" );
   m_pcBitIf->writeAlignOne();      
   codeVPS3dExtension( pcVPS ); 
-#else
-  m_pcBitIf->writeAlignOne();      
-  codeVPSExtension2( pcVPS ); 
-#endif
   WRITE_FLAG( 0,                     "vps_extension3_flag" );
 #else
@@ -1189,9 +1163,5 @@
   for( Int i = 1; i < pcVPS->getNumOutputLayerSets( ); i++ )
   {
-#if H_MV_HLS_FIX
     if( pcVPS->getNumLayerSets() > 2 && i >= pcVPS->getNumLayerSets( ) )    
-#else
-    if( i >= pcVPS->getNumLayerSets( ) )    
-#endif
     {      
       WRITE_CODE( pcVPS->getLayerSetIdxForOlsMinus1( i ), pcVPS->getLayerSetIdxForOlsMinus1Len( i ) ,      "layer_set_idx_for_ols_minus1[i]" );
@@ -1263,7 +1233,5 @@
 
   WRITE_FLAG( pcVPS->getMaxOneActiveRefLayerFlag( ) ? 1 : 0, "max_one_active_ref_layer_flag" );
-#if H_MV_HLS7_GEN || H_MV_HLS_FIX
   WRITE_FLAG( pcVPS->getVpsPocLsbAlignedFlag( ) ? 1 : 0 , "vps_poc_lsb_aligned_flag" );
-#endif
   for( Int i = 1; i  <=  pcVPS->getMaxLayersMinus1(); i++ )
   {
@@ -1313,7 +1281,5 @@
     codeVPSVUI( pcVPS ); 
   }     
-#if H_MV_HLS_FIX
   else
-#endif
   {
     TComVPSVUI* pcVPSVUI = pcVPS->getVPSVUI( ); 
@@ -1630,60 +1596,6 @@
 
 #if H_3D
-#if HHI_VPS_3D_EXTENSION_I3_J0107
 Void TEncCavlc::codeVPS3dExtension( TComVPS* pcVPS )
-#else
-Void TEncCavlc::codeVPSExtension2( TComVPS* pcVPS )
-#endif
 { 
-#if !HHI_TOOL_PARAMETERS_I2_J0107
-  for( Int i = 1; i <= pcVPS->getMaxLayersMinus1(); i++ )
-  {
-    {
-      WRITE_FLAG( pcVPS->getIvMvPredFlag         ( i ) ? 1 : 0 , "iv_mv_pred_flag[i]");
-      WRITE_FLAG( pcVPS->getIvMvScalingFlag( i ) ? 1 : 0 ,       "iv_mv_scaling_flag[i]" );
-
-      if ( !( pcVPS->getDepthId( i ) == 1 ) )
-      {
-#if H_3D_IV_MERGE
-#if H_3D_SPIVMP
-        WRITE_UVLC( pcVPS->getSubPULog2Size(i)-3, "log2_sub_PU_size_minus3[i]");
-#endif
-#endif
-#if H_3D_ARP
-        WRITE_FLAG( pcVPS->getUseAdvRP             ( i ) ? 1 : 0,  "iv_res_pred_flag[i]"  );
-#endif
-#if H_3D_NBDV_REF
-        WRITE_FLAG( pcVPS->getDepthRefinementFlag  ( i ) ? 1 : 0 , "depth_refinement_flag[i]");
-#endif
-#if H_3D_VSP
-        WRITE_FLAG( pcVPS->getViewSynthesisPredFlag( i ) ? 1 : 0 , "view_synthesis_pred_flag[i]");
-#endif
-#if H_3D_DBBP
-        WRITE_FLAG( pcVPS->getUseDBBP( i ) ? 1 : 0, "use_dbbp_flag[i]" );
-#endif
-      }          
-      else
-      {
-#if H_3D_IV_MERGE
-        WRITE_FLAG( pcVPS->getMPIFlag( i ) ? 1 : 0 ,          "mpi_flag[i]" );
-#endif
-        WRITE_UVLC( pcVPS->getSubPUMPILog2Size(i)-3, "log2_mpi_sub_PU_size_minus3[i]");
-
-        WRITE_FLAG( pcVPS->getVpsDepthModesFlag( i ) ? 1 : 0 ,          "vps_depth_modes_flag[i]" );
-#if H_3D
-        WRITE_FLAG( pcVPS->getIVPFlag( i ) ? 1 : 0 ,               "IVP_flag[i]" );
-#endif
-        WRITE_FLAG( pcVPS->getLimQtPredFlag    ( i ) ? 1 : 0 ,          "lim_qt_pred_flag[i]"     ); 
-
-#if H_3D_INTER_SDC
-        WRITE_FLAG( pcVPS->getInterSDCFlag( i ) ? 1 : 0, "depth_inter_SDC_flag" );
-#endif
-#if MTK_SINGLE_DEPTH_VPS_FLAG_J0060
-        WRITE_FLAG( pcVPS->getSingleDepthModeFlag( i ) ? 1 : 0, "single_depth_mode_flag" );
-#endif
-      }
-    }  
-  }
-#endif
   WRITE_UVLC( pcVPS->getCamParPrecision(), "cp_precision" );
   for (UInt viewIndex=1; viewIndex<pcVPS->getNumViews(); viewIndex++)
@@ -1789,11 +1701,4 @@
     }
     pcSlice->checkCrossLayerBlaFlag( ); 
-#if !H_MV_HLS7_GEN && !H_MV_HLS_FIX
-    if ( pcSlice->getPPS()->getNumExtraSliceHeaderBits() > esb )
-    {
-      esb++; 
-      WRITE_FLAG( pcSlice->getPocResetFlag( ) ? 1 : 0 , "poc_reset_flag" );
-    }
-#endif
 
 
@@ -1951,5 +1856,4 @@
     Bool interLayerPredLayerIdcPresentFlag = false; 
     Int layerId = pcSlice->getLayerId(); 
-#if HHI_DEPENDENCY_SIGNALLING_I1_J0107
 #if H_3D
     if( pcSlice->getLayerId() > 0 && !vps->getAllRefLayersActiveFlag() && vps->getNumRefListLayers( layerId ) > 0 )
@@ -1957,10 +1861,6 @@
     if( pcSlice->getLayerId() > 0 && !vps->getAllRefLayersActiveFlag() && vps->getNumDirectRefLayers( layerId ) > 0 )
 #endif
-#else
-    if( pcSlice->getLayerId() > 0 && !vps->getAllRefLayersActiveFlag() && vps->getNumDirectRefLayers( layerId ) > 0 )
-#endif
     {   
       WRITE_FLAG( pcSlice->getInterLayerPredEnabledFlag( ) ? 1 : 0 , "inter_layer_pred_enabled_flag" );
-#if HHI_DEPENDENCY_SIGNALLING_I1_J0107
 #if H_3D
       if( pcSlice->getInterLayerPredEnabledFlag() && vps->getNumRefListLayers( layerId ) > 1 )
@@ -1968,7 +1868,4 @@
       if( pcSlice->getInterLayerPredEnabledFlag() && vps->getNumDirectRefLayers( layerId ) > 1 )
 #endif
-#else
-      if( pcSlice->getInterLayerPredEnabledFlag() && vps->getNumDirectRefLayers( layerId ) > 1 )
-#endif
       {            
         if( !vps->getMaxOneActiveRefLayerFlag())  
@@ -1976,10 +1873,6 @@
           WRITE_CODE( pcSlice->getNumInterLayerRefPicsMinus1( ), pcSlice->getNumInterLayerRefPicsMinus1Len( ), "num_inter_layer_ref_pics_minus1" );
         }
-#if HHI_DEPENDENCY_SIGNALLING_I1_J0107
 #if H_3D
         if ( pcSlice->getNumActiveRefLayerPics() != vps->getNumRefListLayers( layerId ) )
-#else
-        if ( pcSlice->getNumActiveRefLayerPics() != vps->getNumDirectRefLayers( layerId ) )
-#endif
 #else
         if ( pcSlice->getNumActiveRefLayerPics() != vps->getNumDirectRefLayers( layerId ) )
@@ -2125,9 +2018,5 @@
     }
 #if H_3D_IC
-#if HHI_DEPENDENCY_SIGNALLING_I1_J0107
     else if( pcSlice->getViewIndex() && ( pcSlice->getSliceType() == P_SLICE || pcSlice->getSliceType() == B_SLICE ) && !pcSlice->getIsDepth() && vps->getNumRefListLayers( layerId ) > 0 )
-#else
-    else if( pcSlice->getViewIndex() && ( pcSlice->getSliceType() == P_SLICE || pcSlice->getSliceType() == B_SLICE ) && !pcSlice->getIsDepth() && vps->getNumDirectRefLayers( layerId ) > 0 )
-#endif
     {
       WRITE_FLAG( pcSlice->getApplyIC() ? 1 : 0, "slice_ic_enable_flag" );
@@ -2137,12 +2026,4 @@
       }
     }
-#endif
-#if !MTK_SINGLE_DEPTH_VPS_FLAG_J0060
-#if H_3D_SINGLE_DEPTH
-    if(pcSlice->getIsDepth())
-    {
-      WRITE_FLAG( pcSlice->getApplySingleDepthMode() ? 1 : 0, "slice_enable_single_depth_mode" );
-    }
-#endif
 #endif
 #if H_3D_IV_MERGE
@@ -2154,28 +2035,5 @@
     {
 #if H_3D_IV_MERGE
-#if HHI_TOOL_PARAMETERS_I2_J0107      
-#if ALGIN_J0107_J0059
       WRITE_UVLC( ( ( pcSlice->getMpiFlag( ) || pcSlice->getIvMvPredFlag( ) || pcSlice->getViewSynthesisPredFlag( ) ) ? MRG_MAX_NUM_CANDS_MEM : MRG_MAX_NUM_CANDS ) - pcSlice->getMaxNumMergeCand(), "five_minus_max_num_merge_cand");
-#else
-      WRITE_UVLC( ( ( pcSlice->getMpiFlag( ) || pcSlice->getIvMvPredFlag( ) ) ? MRG_MAX_NUM_CANDS_MEM : MRG_MAX_NUM_CANDS ) - pcSlice->getMaxNumMergeCand(), "five_minus_max_num_merge_cand");
-#endif
-#else
-      if(pcSlice->getIsDepth())
-      {
-        Bool bMPIFlag = pcSlice->getVPS()->getMPIFlag( pcSlice->getLayerIdInVps() ) ;
-        Bool ivMvPredFlag = pcSlice->getVPS()->getIvMvPredFlag( pcSlice->getLayerIdInVps() ) ;
-        WRITE_UVLC( ( ( bMPIFlag || ivMvPredFlag ) ? MRG_MAX_NUM_CANDS_MEM : MRG_MAX_NUM_CANDS ) - pcSlice->getMaxNumMergeCand(), "five_minus_max_num_merge_cand");
-      }
-      else
-      {
-        Bool ivMvPredFlag = pcSlice->getVPS()->getIvMvPredFlag( pcSlice->getLayerIdInVps() ) ;
-#if MTK_MRG_LIST_SIZE_CLEANUP_J0059
-        Bool vspFlag = pcSlice->getVPS()->getViewSynthesisPredFlag( pcSlice->getLayerIdInVps() ) ;
-        WRITE_UVLC( ( ivMvPredFlag || vspFlag ? MRG_MAX_NUM_CANDS_MEM : MRG_MAX_NUM_CANDS ) - pcSlice->getMaxNumMergeCand(), "five_minus_max_num_merge_cand");
-#else
-        WRITE_UVLC( ( ivMvPredFlag ? MRG_MAX_NUM_CANDS_MEM : MRG_MAX_NUM_CANDS ) - pcSlice->getMaxNumMergeCand(), "five_minus_max_num_merge_cand");
-#endif
-      }
-#endif
 #else
       WRITE_UVLC(MRG_MAX_NUM_CANDS - pcSlice->getMaxNumMergeCand(), "five_minus_max_num_merge_cand");
@@ -2243,9 +2101,4 @@
   {
     // Derive the value of PocMsbValRequiredFlag
-#if !H_MV_HLS_FIX
-    pcSlice->setPocMsbValRequiredFlag( pcSlice->getCraPicFlag() || pcSlice->getBlaPicFlag()
-                                          /* || related to vps_poc_lsb_aligned_flag */
-                                          );
-#endif
 
     // Determine value of SH extension length.
@@ -2265,9 +2118,5 @@
 
 
-#if H_MV_HLS_FIX
     if( !pcSlice->getPocMsbValRequiredFlag() &&  pcSlice->getVPS()->getVpsPocLsbAlignedFlag() )
-#else
-    if( !pcSlice->getPocMsbValRequiredFlag() /* TODO &&  pcSlice->getVPS()->getVpsPocLsbAlignedFlag() */ )
-#endif
     {
       shExtnLengthInBit++;    // For poc_msb_val_present_flag
@@ -2332,9 +2181,5 @@
     pcSlice->checkPocLsbVal(); 
 
-#if H_MV_HLS_FIX
     if( !pcSlice->getPocMsbValRequiredFlag() &&  pcSlice->getVPS()->getVpsPocLsbAlignedFlag()  )
-#else
-    if( !pcSlice->getPocMsbValRequiredFlag() /* TODO &&  pcSlice->getVPS()->getVpsPocLsbAlignedFlag() */ )
-#endif
     {
       WRITE_FLAG( pcSlice->getPocMsbValPresentFlag( ) ? 1 : 0 , "poc_msb_val_present_flag" );
Index: /trunk/source/Lib/TLibEncoder/TEncCavlc.h
===================================================================
--- /trunk/source/Lib/TLibEncoder/TEncCavlc.h	(revision 1132)
+++ /trunk/source/Lib/TLibEncoder/TEncCavlc.h	(revision 1133)
@@ -99,16 +99,7 @@
 #endif
 #if H_3D
-#if HHI_VPS_3D_EXTENSION_I3_J0107
   Void  codeVPS3dExtension       ( TComVPS* pcVPS ); 
-#else
-  Void  codeVPSExtension2       ( TComVPS* pcVPS ); 
-#endif
-#if HHI_TOOL_PARAMETERS_I2_J0107
   Void  codeSPS3dExtension      ( TComSPS* pcSPS );
   Void  codeSPS                 ( TComSPS* pcSPS );
-#else
-  Void  codeSPSExtension2       ( TComSPS* pcSPS, Int viewIndex, Bool depthFlag  ); 
-  Void  codeSPS                 ( TComSPS* pcSPS, Int viewIndex, Bool depthFlag );
-#endif
 #else
   Void  codeSPS                 ( TComSPS* pcSPS );
Index: /trunk/source/Lib/TLibEncoder/TEncCfg.h
===================================================================
--- /trunk/source/Lib/TLibEncoder/TEncCfg.h	(revision 1132)
+++ /trunk/source/Lib/TLibEncoder/TEncCfg.h	(revision 1133)
@@ -392,43 +392,13 @@
   Double    m_dDispCoeff;
 #endif
-#if !HHI_TOOL_PARAMETERS_I2_J0107
-#if H_3D_ARP
-  UInt      m_uiUseAdvResPred;
-  UInt      m_uiARPStepNum;
-#endif
-#if H_3D_SPIVMP
-  Int      m_iSubPULog2Size;
-  Int      m_iSubPUMPILog2Size;
-#endif
-#endif
 #if H_3D_IC
   Bool      m_bUseIC;
   Bool      m_bUseICLowLatencyEnc;
 #endif
-#if !HHI_TOOL_PARAMETERS_I2_J0107
-#if H_3D_INTER_SDC
-  bool      m_bInterSDC;
-#endif
-#if H_3D_DBBP
-  Bool      m_bUseDBBP;
-#endif
-#endif
   //====== Depth Intra Modes ======
 #if H_3D_DIM
   Bool      m_useDMM;
-#if !HHI_TOOL_PARAMETERS_I2_J0107
-  Bool      m_useIVP;
-#endif
   Bool      m_useSDC;
   Bool      m_useDLT;
-#endif
-#if !HHI_TOOL_PARAMETERS_I2_J0107
-#if H_3D_SINGLE_DEPTH
-  Bool      m_useSingleDepthMode;
-#endif
-
-#if H_3D_IV_MERGE
-  Bool      m_useMPI;
-#endif
 #endif
 #if H_3D_QTLPC
@@ -506,19 +476,4 @@
   Void      setMaxTempLayer                 ( Int maxTempLayer )            { m_maxTempLayer = maxTempLayer;      }
 
-#if !HHI_TOOL_PARAMETERS_I2_J0107
-#if H_3D_ARP
-  UInt       getUseAdvRP                    ( )              { return m_uiUseAdvResPred; }
-  Void       setUseAdvRP                    ( UInt  u )      { m_uiUseAdvResPred = u;    }
-
-  UInt       getARPStepNum                  ()               { return m_uiARPStepNum;    }
-  Void       setARPStepNum                  ( UInt  u )      { m_uiARPStepNum = u;       }
-#endif
-#if H_3D_SPIVMP
-  Int        getSubPULog2Size                   ()                   { return m_iSubPULog2Size;}
-  Void       setSubPULog2Size                   (Int u)              { m_iSubPULog2Size = u; }     
-  Int        getSubPUMPILog2Size            ()               { return m_iSubPUMPILog2Size;}
-  Void       setSubPUMPILog2Size            (Int u)          { m_iSubPUMPILog2Size = u;   }     
-#endif
-#endif
 #if H_3D_IC
   Void       setUseIC                       ( Bool bVal )    { m_bUseIC = bVal; }
@@ -526,14 +481,4 @@
   Void       setUseICLowLatencyEnc          ( Bool bVal )    { m_bUseICLowLatencyEnc = bVal; }
   Bool       getUseICLowLatencyEnc          ()               { return m_bUseICLowLatencyEnc; }
-#endif
-#if !HHI_TOOL_PARAMETERS_I2_J0107
-#if H_3D_INTER_SDC
-  Void       setInterSDCEnable              ( Bool bVal )    { m_bInterSDC = bVal; }
-  Bool       getInterSDCEnable              ()               { return m_bInterSDC; }
-#endif
-#if H_3D_DBBP
-  Void       setUseDBBP                     ( Bool  b )      { m_bUseDBBP   = b; }
-  Bool       getUseDBBP()                                    { return m_bUseDBBP;     }
-#endif
 #endif
   //======== Transform =============
@@ -991,8 +936,4 @@
   Bool      getUseDMM                       ()        { return m_useDMM; }
   Void      setUseDMM                       ( Bool b) { m_useDMM = b;    }
-#if !HHI_TOOL_PARAMETERS_I2_J0107
-  Bool      getUseIVP                       ()        { return m_useIVP; }
-  Void      setUseIVP                       ( Bool b) { m_useIVP = b;    }
-#endif
   Bool      getUseSDC                       ()        { return m_useSDC; }
   Void      setUseSDC                       ( Bool b) { m_useSDC = b;    }
@@ -1000,10 +941,4 @@
   Bool      getUseDLT                       ()        { return m_useDLT; }
   Void      setUseDLT                       ( Bool b) { m_useDLT = b;    }
-#endif
-#if !HHI_TOOL_PARAMETERS_I2_J0107
-#if H_3D_SINGLE_DEPTH
-  Void       setUseSingleDepthMode          ( Bool bVal )    { m_useSingleDepthMode = bVal; }
-  Bool       getUseSingleDepthMode          ()               { return m_useSingleDepthMode; }
-#endif
 #endif
 #if H_3D_QTLPC
@@ -1011,10 +946,4 @@
   Bool      getUseQTL                       ()         { return m_bUseQTL; }
 #endif
-#if !HHI_TOOL_PARAMETERS_I2_J0107
-#if H_3D_IV_MERGE
-  Void      setUseMPI                       ( Bool b ) { m_useMPI = b;    }
-  Bool      getUseMPI                       ()         { return m_useMPI; }
-#endif
-#endif
 #endif // H_3D
 };
Index: /trunk/source/Lib/TLibEncoder/TEncCu.cpp
===================================================================
--- /trunk/source/Lib/TLibEncoder/TEncCu.cpp	(revision 1132)
+++ /trunk/source/Lib/TLibEncoder/TEncCu.cpp	(revision 1133)
@@ -409,10 +409,5 @@
 
 #if H_3D_QTLPC
-#if HHI_TOOL_PARAMETERS_I2_J0107
   Bool  bLimQtPredFalg    = pcPic->getSlice(0)->getQtPredFlag(); 
-#else
-    TComVPS *vps            = pcPic->getSlice(0)->getVPS();
-  Bool  bLimQtPredFalg    = vps->getLimQtPredFlag(pcPic->getSlice(0)->getLayerId()); 
-#endif
   TComPic *pcTexture      = rpcBestCU->getSlice()->getTexturePic();
 
@@ -570,9 +565,5 @@
       {
 #if H_3D_ARP && H_3D_IV_MERGE
-#if HHI_TOOL_PARAMETERS_I2_J0107
         if( rpcTempCU->getSlice()->getIvResPredFlag() || rpcTempCU->getSlice()->getIvMvPredFlag() )
-#else
-        if( rpcTempCU->getSlice()->getVPS()->getUseAdvRP(rpcTempCU->getSlice()->getLayerId()) || rpcTempCU->getSlice()->getVPS()->getIvMvPredFlag(rpcTempCU->getSlice()->getLayerId()) )
-#endif
 #else 
 #if H_3D_ARP
@@ -598,9 +589,5 @@
 #endif 
 #if H_3D_NBDV_REF
-#if HHI_TOOL_PARAMETERS_I2_J0107
           if( rpcTempCU->getSlice()->getDepthRefinementFlag() )
-#else
-          if(rpcTempCU->getSlice()->getVPS()->getDepthRefinementFlag( rpcTempCU->getSlice()->getLayerIdInVps()))
-#endif
             DvInfo.bDV = rpcTempCU->getDisMvpCandNBDV(&DvInfo, true);
           else
@@ -617,9 +604,5 @@
       }
 #if  H_3D_FAST_TEXTURE_ENCODING
-#if SEC_ARP_VIEW_REF_CHECK_J0037 || SEC_DBBP_VIEW_REF_CHECK_J0037
       if(rpcTempCU->getSlice()->getViewIndex() && !rpcTempCU->getSlice()->getIsDepth() && rpcTempCU->getSlice()->getDefaultRefViewIdxAvailableFlag() )
-#else
-      if(rpcTempCU->getSlice()->getViewIndex() && !rpcTempCU->getSlice()->getIsDepth())
-#endif
       {
         PartSize ePartTemp = rpcTempCU->getPartitionSize(0);
@@ -684,13 +667,5 @@
           
 #if H_3D_DBBP
-#if SEC_DBBP_VIEW_REF_CHECK_J0037
-#if HHI_TOOL_PARAMETERS_I2_J0107
           if( rpcTempCU->getSlice()->getDepthBasedBlkPartFlag() && rpcTempCU->getSlice()->getDefaultRefViewIdxAvailableFlag() )
-#else
-          if( m_pcEncCfg->getUseDBBP() && rpcTempCU->getSlice()->getDefaultRefViewIdxAvailableFlag() )
-#endif
-#else
-          if( m_pcEncCfg->getUseDBBP() )
-#endif
           {
             xCheckRDCostInterDBBP( rpcBestCU, rpcTempCU, false );
@@ -739,13 +714,5 @@
 #if H_3D_SINGLE_DEPTH
     rpcTempCU->initEstData( uiDepth, iMinQP, isAddLowestQP  );
-#if MTK_SINGLE_DEPTH_VPS_FLAG_J0060
-#if ALIGN_J0060_J0107
     if( rpcBestCU->getSlice()->getIntraSingleFlag() )
-#else
-    if(rpcBestCU->getSlice()->getVPS()->getSingleDepthModeFlag(rpcBestCU->getSlice()->getLayerIdInVps()))
-#endif
-#else
-    if(rpcBestCU->getSlice()->getApplySingleDepthMode())
-#endif
     {
       xCheckRDCostSingleDepth( rpcBestCU, rpcTempCU, SIZE_2Nx2N );
@@ -1074,4 +1041,7 @@
 #if H_3D_DIM
             Bool bOnlyIVP = false;
+#if TICKET083_IVPFLAG_FIX
+            Bool bUseIVP = true;
+#endif
             if( rpcBestCU->getSlice()->getIsDepth() && !(rpcBestCU->getSlice()->isIRAP()) && 
                 rpcBestCU->getSlice()->getSliceType() != I_SLICE && 
@@ -1082,5 +1052,12 @@
             { 
               bOnlyIVP = true;
+#if TICKET083_IVPFLAG_FIX
+              bUseIVP = rpcBestCU->getSlice()->getIntraContourFlag();
+#endif
             }
+#if TICKET083_IVPFLAG_FIX
+            if( bUseIVP )
+            {
+#endif
             xCheckRDCostIntra( rpcBestCU, rpcTempCU, SIZE_2Nx2N, bOnlyIVP );
 #else
@@ -1116,4 +1093,7 @@
 #endif
             }
+#if TICKET083_IVPFLAG_FIX
+          }
+#endif
           }
         // test PCM
@@ -1901,11 +1881,4 @@
 
 #endif
-#if !LGE_DDD_REMOVAL_J0042_J0030
-#if H_3D_DDD
-    Int iDDDCand = rpcTempCU->getUseDDDCandIdx(); 
-    UChar ucDDDepth = rpcTempCU->getDDTmpDepth();
-    rpcTempCU->setUseDDD( false, 0, uhDepth );
-#endif
-#endif
 
   for( UInt uiNoResidual = 0; uiNoResidual < iteration; ++uiNoResidual )
@@ -1940,17 +1913,4 @@
 #if H_3D_VSP
           rpcTempCU->setVSPFlagSubParts( vspFlag[uiMergeCand], 0, 0, uhDepth );
-#endif
-#if !LGE_DDD_REMOVAL_J0042_J0030
-#if H_3D_DDD
-          if( rpcTempCU->getSlice()->getIsDepth() && rpcTempCU->getSlice()->getViewIndex() != 0 && iDDDCand == uiMergeCand )
-          {
-              rpcTempCU->setUseDDD( true, 0, 0, uhDepth );
-              rpcTempCU->setDDDepthSubParts( ucDDDepth, 0, 0, uhDepth );
-          }
-          else
-          {
-              rpcTempCU->setUseDDD( false, 0, 0, uhDepth );
-          }
-#endif
 #endif
 #if H_3D_SPIVMP
@@ -2056,9 +2016,5 @@
           xCheckBestMode(rpcBestCU, rpcTempCU, uhDepth);
 #if H_3D_INTER_SDC
-#if HHI_TOOL_PARAMETERS_I2_J0107
           if( rpcTempCU->getSlice()->getInterSdcFlag() && !uiNoResidual )
-#else
-          if( rpcTempCU->getSlice()->getVPS()->getInterSDCFlag( rpcTempCU->getSlice()->getLayerIdInVps() ) && rpcTempCU->getSlice()->getIsDepth() && !uiNoResidual )
-#endif
           {
             Double dOffsetCost[3] = {MAX_DOUBLE,MAX_DOUBLE,MAX_DOUBLE};
@@ -2132,9 +2088,5 @@
       {
 #if H_3D_INTER_SDC
-#if HHI_TOOL_PARAMETERS_I2_J0107
         if( rpcTempCU->getSlice()->getInterSdcFlag() )
-#else
-        if( rpcTempCU->getSlice()->getVPS()->getInterSDCFlag( rpcTempCU->getSlice()->getLayerIdInVps() ) )
-#endif
         {
           bestIsSkip = !rpcBestCU->getSDCFlag( 0 ) && ( rpcBestCU->getQtRootCbf(0) == 0 );
@@ -2212,7 +2164,4 @@
   UChar uhDepth = rpcTempCU->getDepth( 0 );
 #if H_3D_ARP
-#if !HHI_TOOL_PARAMETERS_I2_J0107
-  Int iLayerId    = rpcTempCU->getSlice()->getLayerId();
-#endif
   Bool bFirstTime = true;
   Int nARPWMax    = rpcTempCU->getSlice()->getARPStepNum() - 1;
@@ -2225,9 +2174,5 @@
   for( Int nARPW = 0; nARPW <= nARPWMax; nARPW++ )
   {
-#if HHI_TOOL_PARAMETERS_I2_J0107
     if( !bFirstTime && rpcTempCU->getSlice()->getIvResPredFlag() )
-#else
-    if( bFirstTime == false && rpcTempCU->getSlice()->getVPS()->getUseAdvRP( iLayerId ) )
-#endif
     {
       rpcTempCU->initEstData( rpcTempCU->getDepth(0), rpcTempCU->getQP(0),bTransquantBypassFlag );      
@@ -2253,9 +2198,4 @@
   rpcTempCU->setPartSizeSubParts  ( ePartSize,  0, uhDepth );
   rpcTempCU->setPredModeSubParts  ( MODE_INTER, 0, uhDepth );
-#if !LGE_DDD_REMOVAL_J0042_J0030
-#if H_3D_DDD
-  rpcTempCU->setUseDDD( false, 0, uhDepth );
-#endif
-#endif
 
 #if H_3D_ARP
@@ -2335,9 +2275,5 @@
   xCheckBestMode(rpcBestCU, rpcTempCU, uhDepth);
 #if H_3D_INTER_SDC
-#if HHI_TOOL_PARAMETERS_I2_J0107
   if( rpcTempCU->getSlice()->getInterSdcFlag() && ePartSize == SIZE_2Nx2N)
-#else
-  if( rpcTempCU->getSlice()->getVPS()->getInterSDCFlag( rpcTempCU->getSlice()->getLayerIdInVps() ) && rpcTempCU->getSlice()->getIsDepth() && ePartSize == SIZE_2Nx2N)
-#endif
   {
     Double dOffsetCost[3] = {MAX_DOUBLE,MAX_DOUBLE,MAX_DOUBLE};
Index: /trunk/source/Lib/TLibEncoder/TEncEntropy.cpp
===================================================================
--- /trunk/source/Lib/TLibEncoder/TEncEntropy.cpp	(revision 1132)
+++ /trunk/source/Lib/TLibEncoder/TEncEntropy.cpp	(revision 1133)
@@ -78,5 +78,4 @@
 }
 
-#if HHI_TOOL_PARAMETERS_I2_J0107
 Void TEncEntropy::encodeSPS( TComSPS* pcSPS )
 {
@@ -84,19 +83,4 @@
   return;
 }
-#else
-#if H_3D
-Void TEncEntropy::encodeSPS( TComSPS* pcSPS, Int viewIndex, Bool depthFlag )
-{
-  m_pcEntropyCoderIf->codeSPS( pcSPS, viewIndex, depthFlag );
-  return;
-}
-#else
-Void TEncEntropy::encodeSPS( TComSPS* pcSPS )
-{
-  m_pcEntropyCoderIf->codeSPS( pcSPS );
-  return;
-}
-#endif
-#endif
 
 Void TEncEntropy::encodeCUTransquantBypassFlag( TComDataCU* pcCU, UInt uiAbsPartIdx, Bool bRD )
@@ -130,26 +114,8 @@
 Void TEncEntropy::encodeSingleDepthMode( TComDataCU* pcCU, UInt uiAbsPartIdx, Bool bRD )
 {
-#if ALIGN_J0060_J0107
   if(!pcCU->getSlice()->getIntraSingleFlag() )
   {
     return;
   }
-#else
-  if ( !pcCU->getSlice()->getIsDepth() )
-  {
-    return;
-  }
-#if MTK_SINGLE_DEPTH_VPS_FLAG_J0060
-  if(!pcCU->getSlice()->getVPS()->getSingleDepthModeFlag(pcCU->getSlice()->getLayerIdInVps()))
-  {
-     return;
-  }
-#else
-  if(!pcCU->getSlice()->getApplySingleDepthMode())
-  {
-     return;
-  }
-#endif
-#endif
   if( bRD )
   {
@@ -289,13 +255,5 @@
   
 #if H_3D_DBBP
-#if SEC_DBBP_VIEW_REF_CHECK_J0037
-#if HHI_TOOL_PARAMETERS_I2_J0107
   if( pcCU->getSlice()->getDepthBasedBlkPartFlag() && (pcCU->getPartitionSize(uiAbsPartIdx) == SIZE_2NxN || pcCU->getPartitionSize(uiAbsPartIdx) == SIZE_Nx2N) && pcCU->getWidth(uiAbsPartIdx) > 8 && pcCU->getSlice()->getDefaultRefViewIdxAvailableFlag() )
-#else
-  if( pcCU->getSlice()->getVPS()->getUseDBBP(pcCU->getSlice()->getLayerIdInVps()) && (pcCU->getPartitionSize(uiAbsPartIdx) == SIZE_2NxN || pcCU->getPartitionSize(uiAbsPartIdx) == SIZE_Nx2N) && pcCU->getWidth(uiAbsPartIdx) > 8 && pcCU->getSlice()->getDefaultRefViewIdxAvailableFlag() )
-#endif
-#else
-  if( pcCU->getSlice()->getVPS()->getUseDBBP(pcCU->getSlice()->getLayerIdInVps()) && (pcCU->getPartitionSize(uiAbsPartIdx) == SIZE_2NxN || pcCU->getPartitionSize(uiAbsPartIdx) == SIZE_Nx2N) && pcCU->getWidth(uiAbsPartIdx) > 8 )
-#endif
   {
     encodeDBBPFlag(pcCU, uiAbsPartIdx, bRD);
@@ -809,11 +767,6 @@
 Void TEncEntropy::encodeSDCFlag( TComDataCU* pcCU, UInt uiAbsPartIdx, Bool bRD )
 {
-#if HHI_TOOL_PARAMETERS_I2_J0107
   if( ( !pcCU->isIntra( uiAbsPartIdx ) && !pcCU->getSlice()->getInterSdcFlag() ) || 
     ( pcCU->isIntra( uiAbsPartIdx ) && !pcCU->getSlice()->getIntraSdcWedgeFlag() ) )
-#else
-  if( ( !pcCU->isIntra( uiAbsPartIdx ) && !pcCU->getSlice()->getVPS()->getInterSDCFlag( pcCU->getSlice()->getLayerIdInVps() ) ) || 
-    ( pcCU->isIntra( uiAbsPartIdx ) && !pcCU->getSlice()->getVPS()->getVpsDepthModesFlag( pcCU->getSlice()->getLayerIdInVps() ) ) )
-#endif
   {
     return;
Index: /trunk/source/Lib/TLibEncoder/TEncEntropy.h
===================================================================
--- /trunk/source/Lib/TLibEncoder/TEncEntropy.h	(revision 1132)
+++ /trunk/source/Lib/TLibEncoder/TEncEntropy.h	(revision 1133)
@@ -69,13 +69,5 @@
 
   virtual Void  codeVPS                 ( TComVPS* pcVPS )                                      = 0;
-#if HHI_TOOL_PARAMETERS_I2_J0107
   virtual Void  codeSPS                 ( TComSPS* pcSPS )                                      = 0;
-#else
-#if !H_3D
-  virtual Void  codeSPS                 ( TComSPS* pcSPS )                                      = 0;
-#else
-  virtual Void  codeSPS                 ( TComSPS* pcSPS, Int viewIndex, Bool depthFlag )       = 0;
-#endif
-#endif
   virtual Void  codePPS                 ( TComPPS* pcPPS )                                      = 0;
   virtual Void  codeSliceHeader         ( TComSlice* pcSlice )                                  = 0;
@@ -169,13 +161,5 @@
   Void encodeVPS               ( TComVPS* pcVPS);
   // SPS
-#if HHI_TOOL_PARAMETERS_I2_J0107
   Void encodeSPS               ( TComSPS* pcSPS );
-#else
-#if H_3D
-  Void encodeSPS               ( TComSPS* pcSPS, Int viewIndex, Bool depthFlag );
-#else
-  Void encodeSPS               ( TComSPS* pcSPS );
-#endif
-#endif
   Void encodePPS               ( TComPPS* pcPPS );
   Void encodeSplitFlag         ( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiDepth, Bool bRD = false );
